@media screen and (max-width: 1075px) {
    .app-type-block {
        flex: 0 0 calc(33% - 15px);
    }
}
@media screen and (max-width: 820px){
    html {
        background-color: #fff;
    }
    .datepick-month td span {
        color: #888;
        vertical-align: middle;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
    .slick-list.draggable {
        max-height: 50px;
        
    }
    .slot-block.selected {
        padding: 4px 10px;
        background-color: #ffffff;
        border: 2px solid #27C0C8;
        box-sizing: border-box;
        
        color: #1a1a1a;
        position: relative;
    }
    span.mark {
        font-size: 14px;
        font-family: 'Poppins';
        font-weight: 400;
    }
    .slick-track {
        max-height: 50px;
        display: flex !important;
    }
    .slot-block.selected::after {
        top: 9px;
        right: 2px;
    }
    .blocks-wrapper-days {
        padding: 0 !important;
    }
    span.header-address, span.header-phone {
        display: none;
    }
    header img {
        height: 6vw;
        margin-top: 1vw;
        margin-bottom: 1vw;
    }
    .step-topbar {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        align-items: center;
        margin-top: 30px;
    }
    .container-full-widht {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    .step-sidebar {
        display: none;
    }
    ul.steps.checklist {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
    .step-link p {
        display: none;
    }
    li.step-item {
        display: flex;
        flex-direction: column;
        flex: 25%;
    }
    .step-mark {
        display: flex;
        align-items: center;
        flex-direction: row;
        justify-content: center;
        position: relative;
    }
    .step-link a {
        color: #000;
        width: 80%;
        display: block;
        text-align: center;
        margin-top: 5px;
        font-size: 2.5vw;
        line-height: 3.5vw;
    }
    .step-mark::after {
        width: 50%;
        content: '';
        height: 2px;
        background-color: #d4d4d4;
        display: block;
        margin-left: 12px;
        margin-top: 5px;
        margin-bottom: 5px;
        position: absolute;
        left: 60%;
    }
    input#app-conf-mb {
        width: 100%;
        border-radius: 0;
        font-size: 4.5vw;
        padding: 12px;
        color: #FFF;
        border-color: #27c0c8;
        
        min-width: 198px;
        border: none;
        background-color: #27c0c8;
    }
    div.step-topbar > ul > li:nth-child(4) > div.step-mark::after {
        display: none;
    }
    li.step-item .step-link {
        margin: 0;
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    span.mark {
        width: 4.5vw;
        height: 4.5vw;
    }
    .appointment-container {
        width: 100%;
        border: none;
        border-radius: 0;
        padding: 0;
        max-width: 100%;
    }
    .appointment-container > div > div.container {
        max-width: 100%;
        width: 100%;
    }
    section.appointment-slots {
        max-width: 100%;
    }
    .blocks.container {
        width: 100%;
        padding: 0 !important;
    }
    .slick-prev, .slick-next {
        display: none !important;
    }
    .row.blocks-mb {
        margin: 0;
        margin-top: 20px;
    }
    .slot-block {
        padding: 5px 5px;
    }
    .slot-block span {
        font-size: 14px;
    }
    .step-link.completed a, .step-link.current a {
        color: #27C0C8;
        font-size: 12px;
        font-family: 'Poppins';
    }
    .slots-wrapper {
        display: flex;
        gap: 10px;
        width: 100%;
        max-height: 50px;
        align-items: center;
        justify-content: flex-start;
        
    }
    .mobile-calendar-and-filter-holder {
        position: fixed;
        bottom: 0;
        width: 100%;
        z-index: 99;
        background-color: #fff;
        display: none;
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
    }
    td a {
        font-size: 3.5vw;
    }
    .day-wrap:has(a.datepick-selected) {
        background-color: #99e1e5 !important;
    }
    .tab-head span.active {
        border-bottom: 2px solid #27c0c8;
    }
    .tab-content {
        min-height: 100vw;
    }
    .datepick-month-row {
        width: 100%;
        display: flex;
        justify-content: center;
    }
    .datepick {
        width: 100% !important;
        border: none !important;
    }
    .day-wrap span {
        font-size: 3.5vw;
        width: 10vw !important;
        height: 10vw !important;
    }
    button#filter-btn {
        display: none;
    }
    input#rangePicker {
        width: 100%;
        min-width: 100%;
        font-size: 3.56vw;
        height: 8.5vw;
    }
    input#rangePicker {
        
        background-size: 6%;
    }
    .datepick-month {
        font-size: 3.5vw;
        width: fit-content !important;
        padding: 20px;
        display: flex;
        flex-direction: column;
        align-items: center;
    }
    td:has(a.datepick-selected):last-child .day-wrap {
        border-bottom-right-radius: 5vw;
        overflow: hidden;
        border-top-right-radius: 5vw;
    }
    td:has(a.datepick-selected):first-child .day-wrap{
        border-bottom-left-radius: 5vw;
        overflow: hidden;
        border-top-left-radius: 5vw;
        background-color: #99e1e5 !important;
    }
    tr td a {
        width: 10vw !important;
        height: 10vw !important;
        display: flex !important;
        align-items: center;
        justify-content: center;
    }
    .day-wrap {
        display: flex;
        justify-content: center;
    }
    a.cross.datepick-cmd.datepick-cmd-close {
        display: none;
    }
    .datepick-popup {
        position: relative !important;
        top: 0 !important;
        left: 0 !important;
    }
    .tab-head {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: center;
        align-items: center;
    }
    .tab-head span {
        font-size: 4vw;
        display: block;
        border-bottom: 1px solid #b2b2b2;
        padding: 20px;
        width: 30%;
        text-align: center;
    }
    .form-block {
        border: none;
        border-radius: 0;
        padding-bottom: 70px;
        overflow: hidden;
    }
    .slick-list.draggable {
        overflow: visible;
    }
    .app-type-block h3 {
        font-size: 3.5vw;
        text-align: center;
        margin-top: 10px;
    }
    .radio-block-patient {
        display: flex;
        flex-direction: column;
        gap: 0px;
        align-items: flex-start;
    }
    
      
      .input-field input:not(:invalid) + label.mobile-label,
      .input-field input:focus + label.mobile-label {
        background: #fff;
        top: -6px;
        font-size: 1rem;
        left: 30px;
        display: block;
        position: absolute;
      }
      .mobile-label {
        display: none;
      }
      .buttons-row {
        display: none;
      }
      .buttons-row-mobile {
        display: flex;
        flex-direction: row;
        gap: 0px;
        align-items: center;
        width: 100%;
        position: fixed;
        bottom: 0;
    }
    .buttons-row-mobile > input#bk-btn-mb, .buttons-row-mobile > input#btn-ctn-mb {
        min-width: auto !important;
        width: 50% !important;
        flex: 50%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
    .row.need-help {
        display: none;
    }
    input#bk-btn-mb, input#btn-ctn-mb {
        border: none !important;
        border-radius: 0 !important;
    }
    input#bk-btn-mb {
        background-color: #f2f2f2;
    }
    .form-group.col-md-6.dob-field {
        padding: 0;
    }
    .dob-field > label {
        font-size: 2.5vw;
        top: -7px;
        left: 15px;
    }
    input#bk-btn-mb, input#btn-ctn-mb {
        border: 1px solid black;
        background-color: #fff;
        border-radius: 40px;
        padding: 15px 50px;
        font-size: 24px;
        min-width: 198px;
        /* text-transform: uppercase; */
    }
    input#btn-ctn-mb {
        background-color: #27c0c8;
        color: #FFF;
        border-color: #27c0c8;
    }
    h2.form-title {
        font-size: 4vw;
        font-weight: 600;
        text-align: center;
        text-transform: uppercase;
        line-height: 7vw;
    }
    .app-type-block {
        display: flex;
        border: 2px solid #b2b2b2;
        border-radius: 10px;
        padding: 10px;
        flex: 0 0 calc(50% - 15px);
    
        width: 45%;
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        cursor: pointer;
    }
    .app-type-block > img {
        height: 40%;
    }
    .blocks-wrapper {
        gap: 10px;
    }
    .text-inputs input.form-control, .text-inputs > div {
        max-width: 100%;
    }
    h4.hint {
        font-size: 3.5vw;
        text-align: center;
    }
    .datepick-month td .datepick-selected {
        background-color: transparent !important;
        color: #ffffff !important;
    }
    .datepick-month  tr {
        border-bottom: 12px solid white;
    }
    div#filter-tab {
        display: none;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        padding: 30px;

    }
    .tab-buttons-row {
        width: 100%;
        display: flex;
        flex-direction: row;
        justify-content: space-around;
        padding: 0px 20px 20px 20px;
        gap: 5px;
    }
    .tab-buttons-row button {
        border: 1px solid #000;
        border-radius: 25px;
        padding: 10px 20px;
        flex: 24%;
    }
    .tab-buttons-row div {
        flex: 24%;
    }
    div#filter-by-day div:hover {
        background-color: #27C0C8;
    }
    .provider-block {
        flex-direction: column;
    }
    .provider-info, .provider-slots {
        flex: 100%;
        width: 100%;
    }
    .provider-info {
        display: flex;
        flex-direction: row-reverse;
        gap: 25px;
        justify-content: flex-end;
    }
    .row.sroft-appt-info {
        display: flex;
        flex-direction: column;
        text-align: center;
    }
    .row.sroft-appt-info h4 {
        font-size: 4vw;
    }
    .row.sroft-appt-info p {
        font-size: 3vw;
    }
    .col-md-12.short-instructions p {
        font-size: 4vw;
    }
    p.ancor {
        font-size: 3vw !important;
        text-align: center;
    }
    button#copy-to-cb {
        display: none;
    }
    button#back-to-main-site {
        font-size: 5vw;
        min-width: 45vw;
        border-radius: 5vw;
    }
    .mobil-copy p {
        text-decoration: underline;
        color: #26bec7;
    }
    .mobil-copy img {
        width: 5vw;
    }
    .mobil-copy {
        display: block;
    }
    .toggler {
        display: none;
    }
    .mobile-toggler {
        display: flex;
        width: 100%;
        margin-top: 20px;
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }
    .mobile-toggler span {
        display: flex;
        width: 50%;
        flex-direction: row;
        justify-content: center;
        align-items: center;
        font-size: 3.5vw;
        border-bottom: 1px solid #b2b2b2;
    }
    .mobile-toggler span.active {
        border-bottom: 2px solid #27c0c8;
    }
    h3.slot-day {
        font-size: 3.5vw;
    }
    .prov-info-txt h3 {
        font-size: 3.5vw;
        font-weight: 600;
    }
    .appointment-comment > label {
        font-size: 3.5vw;
    }
    .patient-info {
        order: 0;
    }
    .reason-info {
        order: 1;
    }
    .date-time-info {
        order: 2;
    }
    .additional-info {
        order: 3;
    }
    .col-md-12.greeting-message h2 {
        text-align: center;
    }
    header .row{
        margin: 0 !important;
    }
    .filter-by-day span {
        font-size: 4vw;
    }
    div#filter-by-day div {
       
        height: 10vw;
        width: 10vw;
        font-size: 3vw;
        
    }
    .filter-by-time {
        margin-top: 30px;
        font-size: 3vw;
    }
    .filter-by-time span {
        font-size: 4vw;
    
    }
    input[type=radio] + label.by-time-mb:before {
        width: 40px;
        height: 40px;
    }
    input[type=radio]:checked + label.by-time-mb:after {
        width: 30px;
        height: 30px;
    
    }
    input[type=radio] + label.by-time-mb {
        position: relative;
        padding-left: 60px;
        cursor: pointer;
        display: inline-block;
    }
    textarea#comment {
        padding: 25px 25px;
        font-size: 1.8em;
        resize: none;
        overflow-y: scroll;
    }
}
@media screen and (max-width: 480px) {
    input[type=radio] + label.by-time-mb:before {
        width: 30px;
        height: 30px;
    }
    input[type=radio]:checked + label.by-time-mb:after {
        width: 20px;
        height: 20px;
    }
    input[type=radio] + label.by-time-mb {
        position: relative;
        padding-left: 40px;
        cursor: pointer;
        display: inline-block;
    }
    span.mark {
        width: 5.5vw;
        height: 5.5vw;
    }
    header img {
        height: 10vw;
        margin-top: 1vw;
        margin-bottom: 1vw;
    }
    .row.sroft-appt-info h4 {
        font-size: 6vw;
    }
    .row.sroft-appt-info p {
        font-size: 4vw;
    }
    input#rangePicker {
        
        background-size: 8%;
    }
    h2.form-title {
        font-size: 4vw;
        font-weight: 600;
        text-align: center;
        text-transform: uppercase;
        line-height: 7vw;
    }
    form.step-one {
        width: 95%;
        padding: 20px 0;
    }
    
      
      .input-field input:not(:invalid) + label.mobile-label,
      .input-field input:focus + label.mobile-label {
        background: #fff;
        top: -6px;
        font-size: 1rem;
        display: block;
        position: absolute;
    }
    .mobile-label {
      display: none;
    }
    .buttons-row {
        display: none;
      }
      .buttons-row-mobile {
        display: flex;
        flex-direction: row;
        gap: 0;
        align-items: center;
        width: 100%;
        position: fixed;
        bottom: 0;
    }
    .buttons-row-mobile > input#bk-btn-mb, .buttons-row-mobile > input#btn-ctn-mb {
        min-width: auto !important;
        width: 50% !important;
        flex: 50%;
        display: flex;
        padding: 8px 0;
        flex-direction: row;
        align-items: center;
        justify-content: center;
        font-size: 4.5vw;
    }
    .row.need-help {
        display: none;
    }
    input#bk-btn-mb, input#btn-ctn-mb {
        border: none !important;
        border-radius: 0 !important;
    }
    input#bk-btn-mb {
        background-color: #f2f2f2;
    }
    .app-type-block {
        flex: 0 0 calc(50% - 15px);
    }
}
